//
//  MagnetometerController.h
//  Magnetometer
//
//  Created by Phidgets on 2015-07-27.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"
#import "VectorView.h"

@interface MagnetometerController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetMagnetometerHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet id dataIntervalSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    IBOutlet NSTextField *changeTriggerText;
    IBOutlet NSTextField *minChangeTriggerLabel;
    IBOutlet NSTextField *maxChangeTriggerLabel;
    IBOutlet id changeTriggerSlider;
    //Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *xAxisText;
    IBOutlet NSTextField *yAxisText;
    IBOutlet NSTextField *zAxisText;
    IBOutlet NSTextField *timeStampText;
    //Magnetic field vector
    IBOutlet NSBox *magneticFieldVectorBox;
    IBOutlet NSTextField *calibrationStatusText;
    IBOutlet VectorView *magFieldView;
    
    //Magnetometer Parameters
    IBOutlet NSPanel *parametersWindow;
    IBOutlet NSTextField *parametersText;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
